Skip to main content
POST
/
rca
/
analyze
Trigger RCA analysis
curl --request POST \
  --url https://api.example.com/rca/analyze \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "incident_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "monitor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rca_analysis_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "detail": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
incident_id
string<uuid>
required
monitor_id
string<uuid>
required
project_id
string<uuid>
required
rca_analysis_id
string<uuid>
required

Response

Workflow started